export var p5;
export var p5vector;
export var p5loaded = new Promise(async function(resolve, reject) {
    var success = false;
    try {
	p5 = await import('https://cdn.jsdelivr.net/npm/p5/lib/p5.js');
	console.log('CDN import of p5 OK');
	success = true; }
    catch(err) {
	console.log('CDN import of p5 failed: ' + JSON.stringify(err));
	try {
	    p5 = await import('./p5.js');
	    success = true; }
	catch {}
	console.log('Used local fallback for p5'); }
    p5 = window.p5;
    p5vector = window.p5.Vector
    delete window.p5;
    if (success) { resolve(); } else { reject(); }});
